Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.dropboxmq.messagetranscoders
Class DefaultMessageTranscoderFactory

    java.lang.Object
      net.sf.dropboxmq.messagetranscoders.DefaultMessageTranscoderFactory

All Implemented Interfaces:
  MessageTranscoderFactory

    public class DefaultMessageTranscoderFactory

extends Object
implements MessageTranscoderFactory

Creates `DefaultMessageTranscoder`s.

Created: 31 Dec 2005

Version:
  $Revision: 211 $, $Date: 2010-11-14 14:21:24 -0700 (Sun, 14 Nov 2010) $
Author:
  Dwayne Schultz

Constructor Summary
`DefaultMessageTranscoderFactory()`

Method Summary
`MessageTranscoder` | `getMessageTranscoder(Destination destination, Configuration configuration)` Creates a `DefaultMessageTranscoder` regardless of `destination` or `configuration`.
`protected String` | `toObjectString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultMessageTranscoderFactory

    public DefaultMessageTranscoderFactory()

Method Detail

### getMessageTranscoder

    public MessageTranscoder getMessageTranscoder(Destination destination,
                                                  Configuration configuration)

  Creates a `DefaultMessageTranscoder` regardless of `destination` or `configuration`.

  Specified by:
    `getMessageTranscoder` in interface `MessageTranscoderFactory`
  Parameters:
    `destination` - the destination for which the `MessageTranscoder` is being created.
    `configuration` - the configuration that was passed through the JNDI lookup.
  Returns:
    the newly created `MessageTranscoder`

### toObjectString

    protected final String toObjectString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD